Bug 844508 - python-keystone-auth-token subpackage is broken stand-alone since folsom-2
python-keystone-auth-token subpackage is broken stand-alone since folsom-2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-keystoneclient (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 19:48 EDT by Alan Pevec
Modified: 2013-10-15 16:14 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 824034
Environment:
Last Closed: 2013-10-15 16:14:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1039567 None None None 2012-11-08 17:14:21 EST

  None (edit)
Description Alan Pevec 2012-07-30 19:48:53 EDT
+++ This bug was initially created as a clone of Bug #824034 +++

folsom-2 introduced new keystone-internal dependecy, breaking auth-token stand-alone:

 from keystone.openstack.common import jsonutils

and folsom-3 adds one more:

 from keystone.common import cms

I'll look into further subpackaging common parts as python-keystone-common but this is getting messy.
Comment 1 Alan Pevec 2012-09-12 11:05:36 EDT
Upstream proposal how to fix this:

http://lists.openstack.org/pipermail/openstack-dev/2012-September/001178.html
Comment 2 Alan Pevec 2012-09-22 17:35:58 EDT
More upstream discussion, auth_token might end up in keystoneclient:
http://lists.openstack.org/pipermail/openstack-dev/2012-September/001334.html
Comment 4 Alan Pevec 2013-03-11 18:18:18 EDT
authtoken middleware is now in python-keystoneclient, virtual provides:
 Provides:       python-keystone-auth-token
 Obsoletes:      python-keystone-auth-token
will move there.
Comment 5 Fedora End Of Life 2013-04-03 09:45:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Adam Young 2013-10-15 16:14:40 EDT
We are not going to be making changes to Folsom for this, and the Fedora code is about to be updated to Havana.  This is not a pro0blem in later Keystone/auth_token deployments.

Note You need to log in before you can comment on or make changes to this bug.